mbed_host_tests.mbedflsh Namespace Reference

## Functions

| cmd_parser_setup ()
| Creates simple command line parser.
| main ()
| Function wrapping flashing (copy) plugin.

## Detailed Description

    mbed SDK
    Copyright (c) 2011-2016 ARM Limited

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

    Author: Przemyslaw Wirkus <Przemyslaw.Wirkus@arm.com>

## Function Documentation

## cmd_parser_setup()

mbed_host_tests.mbedflsh.cmd_parser_setup | ( |  | ) |

Creates simple command line parser.

Definition at line 27 of file mbedflsh.py.

## main()

mbed_host_tests.mbedflsh.main | ( |  | ) |

Function wrapping flashing (copy) plugin.

USers can use mbedflsh command to flash mbeds from command line

Definition at line 69 of file mbedflsh.py.